### Enumeration

# Qmi DsdApnType

since: 1.26

#### Declaration

    enum Qmi.DsdApnType

#### Description [src]

APN type.

Available since: 1.26

#### Members

`QMI_DSD_APN_TYPE_DEFAULT`

  Default/Internet traffic.

  - Value: `0`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_IMS`

  IMS.

  - Value: `1`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_MMS`

  Multimedia Messaging Service.

  - Value: `2`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_DUN`

  Dial Up Network.

  - Value: `3`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_SUPL`

  Secure User Plane Location.

  - Value: `4`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_HIPRI`

  High Priority Mobile Data.

  - Value: `5`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_FOTA`

  Over the air administration.

  - Value: `6`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_CBS`

  Carrier Branded Services.

  - Value: `7`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_IA`

  Initial Attach.

  - Value: `8`
  - Available since: 1.26
`QMI_DSD_APN_TYPE_EMERGENCY`

  Emergency.

  - Value: `9`
  - Available since: 1.26

#### Type functions

###### qmi_dsd_apn_type_get_string

Gets the nickname string for the `QmiDsdApnType` specified at `val`.

since: 1.26

###### qmi_dsd_apn_type_preference_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiDsdApnTypePreference` in `mask`.

since: 1.26